RubyGems Navigation menu

commander 4.6.0

The complete solution for Ruby command-line executables. Commander bridges the gap between other terminal related libraries you know and love (OptionParser, HighLine), while providing many new features, and an elegant API.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 4.6.0 - April 09, 2021 (37.5 KB)
  2. 4.5.2 - March 12, 2020 (37 KB)
  3. 4.5.1 - March 08, 2020 (37 KB)
  4. 4.5.0 - January 21, 2020 (36.5 KB)
  5. 4.4.7 - October 22, 2018 (36.5 KB)
Show all versions (39 total)

Runtime Dependencies (1):

highline ~> 2.0.0

Development Dependencies (4):

rake >= 0
rspec ~> 3.2
rubocop ~> 1.12.1
simplecov >= 0

Owners:

Pushed by:

Authors:

  • TJ Holowaychuk, Gabriel Gilder

SHA 256 checksum:

7d1ddc3fccae60cc906b4131b916107e2ef0108858f485fdda30610c0f2913d9

Total downloads 66,558,311

For this version 46,439,307

License:

MIT

Required Ruby Version: >= 2.4

Links: